Toggle password form field input visibility

### Hierarchy

- PasswordToggleDirective

## Index

### Constructors

- constructor

### Properties

- iconId
- id

### Methods

- togglePasswordVisibility

## Constructors

### constructor

- new PasswordToggleDirective(elementRef: ElementRef<any>, renderer: Renderer2): PasswordToggleDirective

- - Defined in src/app/auth/_directives/password-toggle.directive.ts:15

  Handle click events on the html element.

  #### Parameters

  - ##### elementRef: ElementRef<any>

    A wrapper around a native element inside of a View.

  - ##### renderer: Renderer2

    Extend this base class to implement custom rendering.

  #### Returns PasswordToggleDirective

## Properties

### iconId

iconId: string

- Defined in src/app/auth/_directives/password-toggle.directive.ts:15

The password form field icon id

### id

id: string

- Defined in src/app/auth/_directives/password-toggle.directive.ts:11

The password form field id

## Methods

### togglePasswordVisibility

- togglePasswordVisibility(): void

- - Defined in src/app/auth/_directives/password-toggle.directive.ts:30

  Toggle the visibility of the password input field value and accompanying icon.

  #### Returns void

Generated using TypeDoc